package com.hzya.frame.plugin.lets.plugin.base;

import com.hzya.frame.WebappApplication;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

@RunWith(SpringRunner.class)
@SpringBootTest(classes = WebappApplication.class)
public class BaseTest {

    @Autowired
    private SKUPluginInitializer skuPluginInitializer;
    @Autowired
    private SKUClassPluginInitializer skuClassPluginInitializer;
    @Autowired
    private GoodsAutoAllotPluginInitializer goodsAutoAllotPluginInitializer;

    ////////////////////////////////////////////////////////////////////////////////////SKU
    @Test
    public void t00(){
        skuPluginInitializer.start();
    }
    ////////////////////////////////////////////////////////////////////////////////////SKU自动分配
    @Test
    public void t10(){
        goodsAutoAllotPluginInitializer.start("0001A210000000000U4C");
    }
    ////////////////////////////////////////////////////////////////////////////////////SKU分类
    @Test
    public void t20(){
        skuClassPluginInitializer.start();
    }
    @Test
    public void t21(){
        skuClassPluginInitializer.start("2024-08-15","2024-08-16");
    }


}
