package com.hzya.frame.ttxofs.dto.ofssaleorderoutsearch;

public class HeaderDto {

    private String id;
    private String clientCode;
    private String companyCode;
    private String storeCode;
    private String facilityCode;
    private String code;
    private String refOrderId;
    private String refOrderCode;
    private String refOrderType;
    private String status;
    private String consolidated;
    private String internalInstructionType;
    private String bizChannel;
    private String sourcePlatformCode;
    private String processType;
    private String sourceOrderId;
    private String sourceOrderCode;
    private String sourceUserAccount;
    private String shipToAttentionTo;
    private String shipToAddress;
    private String shipToCountry;
    private String shipToState;
    private String shipToCity;
    private String shipToDistrict;
    private String shipToMobile;
    private String totalLines;
    private String totalQty;
    private String totalContainers;
    private String totalCases;
    private String totalWeight;
    private String totalVolume;
    private String totalVolumeWeight;
    private String weightUM;
    private String volumeUM;
    private String totalAmount;
    private String totalPayAmount;
    private String postageAmount;
    private String itemTotalAmount;
    private String carrierCode;
    private String paymentStatus;
    private String codRequired;
    private String invoiceRequired;
    private String paidAt;
    private String shipFromAttentionTo;
    private String shipFromAddress;
    private String shipFromDistrict;
    private String shipFromCity;
    private String shipFromState;
    private String shipFromCountry;
    private String shipFromPostalCode;
    private String shipFromPhone;
    private String shipFromMobile;
    private String shipFromFax;
    private String shipFromEmail;
    private String codAmount;
    private String tax;
    private String taxPaid;
    private String shipToStateName;
    private String shipToCityName;
    private String shipToDistrictName;

    /**
     * 发货日期
     */
    private String shipAt;

    /**
     * 出库类型
     */
    private String shipmentType;

    public String getShipmentType() {
        return shipmentType;
    }

    public void setShipmentType(String shipmentType) {
        this.shipmentType = shipmentType;
    }

    public String getShipAt() {
        return shipAt;
    }

    public void setShipAt(String shipAt) {
        this.shipAt = shipAt;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getClientCode() {
        return clientCode;
    }

    public void setClientCode(String clientCode) {
        this.clientCode = clientCode;
    }

    public String getCompanyCode() {
        return companyCode;
    }

    public void setCompanyCode(String companyCode) {
        this.companyCode = companyCode;
    }

    public String getStoreCode() {
        return storeCode;
    }

    public void setStoreCode(String storeCode) {
        this.storeCode = storeCode;
    }

    public String getFacilityCode() {
        return facilityCode;
    }

    public void setFacilityCode(String facilityCode) {
        this.facilityCode = facilityCode;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getRefOrderId() {
        return refOrderId;
    }

    public void setRefOrderId(String refOrderId) {
        this.refOrderId = refOrderId;
    }

    public String getRefOrderCode() {
        return refOrderCode;
    }

    public void setRefOrderCode(String refOrderCode) {
        this.refOrderCode = refOrderCode;
    }

    public String getRefOrderType() {
        return refOrderType;
    }

    public void setRefOrderType(String refOrderType) {
        this.refOrderType = refOrderType;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getConsolidated() {
        return consolidated;
    }

    public void setConsolidated(String consolidated) {
        this.consolidated = consolidated;
    }

    public String getInternalInstructionType() {
        return internalInstructionType;
    }

    public void setInternalInstructionType(String internalInstructionType) {
        this.internalInstructionType = internalInstructionType;
    }

    public String getBizChannel() {
        return bizChannel;
    }

    public void setBizChannel(String bizChannel) {
        this.bizChannel = bizChannel;
    }

    public String getSourcePlatformCode() {
        return sourcePlatformCode;
    }

    public void setSourcePlatformCode(String sourcePlatformCode) {
        this.sourcePlatformCode = sourcePlatformCode;
    }

    public String getProcessType() {
        return processType;
    }

    public void setProcessType(String processType) {
        this.processType = processType;
    }

    public String getSourceOrderId() {
        return sourceOrderId;
    }

    public void setSourceOrderId(String sourceOrderId) {
        this.sourceOrderId = sourceOrderId;
    }

    public String getSourceOrderCode() {
        return sourceOrderCode;
    }

    public void setSourceOrderCode(String sourceOrderCode) {
        this.sourceOrderCode = sourceOrderCode;
    }

    public String getSourceUserAccount() {
        return sourceUserAccount;
    }

    public void setSourceUserAccount(String sourceUserAccount) {
        this.sourceUserAccount = sourceUserAccount;
    }

    public String getShipToAttentionTo() {
        return shipToAttentionTo;
    }

    public void setShipToAttentionTo(String shipToAttentionTo) {
        this.shipToAttentionTo = shipToAttentionTo;
    }

    public String getShipToAddress() {
        return shipToAddress;
    }

    public void setShipToAddress(String shipToAddress) {
        this.shipToAddress = shipToAddress;
    }

    public String getShipToCountry() {
        return shipToCountry;
    }

    public void setShipToCountry(String shipToCountry) {
        this.shipToCountry = shipToCountry;
    }

    public String getShipToState() {
        return shipToState;
    }

    public void setShipToState(String shipToState) {
        this.shipToState = shipToState;
    }

    public String getShipToCity() {
        return shipToCity;
    }

    public void setShipToCity(String shipToCity) {
        this.shipToCity = shipToCity;
    }

    public String getShipToDistrict() {
        return shipToDistrict;
    }

    public void setShipToDistrict(String shipToDistrict) {
        this.shipToDistrict = shipToDistrict;
    }

    public String getShipToMobile() {
        return shipToMobile;
    }

    public void setShipToMobile(String shipToMobile) {
        this.shipToMobile = shipToMobile;
    }

    public String getTotalLines() {
        return totalLines;
    }

    public void setTotalLines(String totalLines) {
        this.totalLines = totalLines;
    }

    public String getTotalQty() {
        return totalQty;
    }

    public void setTotalQty(String totalQty) {
        this.totalQty = totalQty;
    }

    public String getTotalContainers() {
        return totalContainers;
    }

    public void setTotalContainers(String totalContainers) {
        this.totalContainers = totalContainers;
    }

    public String getTotalCases() {
        return totalCases;
    }

    public void setTotalCases(String totalCases) {
        this.totalCases = totalCases;
    }

    public String getTotalWeight() {
        return totalWeight;
    }

    public void setTotalWeight(String totalWeight) {
        this.totalWeight = totalWeight;
    }

    public String getTotalVolume() {
        return totalVolume;
    }

    public void setTotalVolume(String totalVolume) {
        this.totalVolume = totalVolume;
    }

    public String getTotalVolumeWeight() {
        return totalVolumeWeight;
    }

    public void setTotalVolumeWeight(String totalVolumeWeight) {
        this.totalVolumeWeight = totalVolumeWeight;
    }

    public String getWeightUM() {
        return weightUM;
    }

    public void setWeightUM(String weightUM) {
        this.weightUM = weightUM;
    }

    public String getVolumeUM() {
        return volumeUM;
    }

    public void setVolumeUM(String volumeUM) {
        this.volumeUM = volumeUM;
    }

    public String getTotalAmount() {
        return totalAmount;
    }

    public void setTotalAmount(String totalAmount) {
        this.totalAmount = totalAmount;
    }

    public String getTotalPayAmount() {
        return totalPayAmount;
    }

    public void setTotalPayAmount(String totalPayAmount) {
        this.totalPayAmount = totalPayAmount;
    }

    public String getPostageAmount() {
        return postageAmount;
    }

    public void setPostageAmount(String postageAmount) {
        this.postageAmount = postageAmount;
    }

    public String getItemTotalAmount() {
        return itemTotalAmount;
    }

    public void setItemTotalAmount(String itemTotalAmount) {
        this.itemTotalAmount = itemTotalAmount;
    }

    public String getCarrierCode() {
        return carrierCode;
    }

    public void setCarrierCode(String carrierCode) {
        this.carrierCode = carrierCode;
    }

    public String getPaymentStatus() {
        return paymentStatus;
    }

    public void setPaymentStatus(String paymentStatus) {
        this.paymentStatus = paymentStatus;
    }

    public String getCodRequired() {
        return codRequired;
    }

    public void setCodRequired(String codRequired) {
        this.codRequired = codRequired;
    }

    public String getInvoiceRequired() {
        return invoiceRequired;
    }

    public void setInvoiceRequired(String invoiceRequired) {
        this.invoiceRequired = invoiceRequired;
    }

    public String getPaidAt() {
        return paidAt;
    }

    public void setPaidAt(String paidAt) {
        this.paidAt = paidAt;
    }

    public String getShipFromAttentionTo() {
        return shipFromAttentionTo;
    }

    public void setShipFromAttentionTo(String shipFromAttentionTo) {
        this.shipFromAttentionTo = shipFromAttentionTo;
    }

    public String getShipFromAddress() {
        return shipFromAddress;
    }

    public void setShipFromAddress(String shipFromAddress) {
        this.shipFromAddress = shipFromAddress;
    }

    public String getShipFromDistrict() {
        return shipFromDistrict;
    }

    public void setShipFromDistrict(String shipFromDistrict) {
        this.shipFromDistrict = shipFromDistrict;
    }

    public String getShipFromCity() {
        return shipFromCity;
    }

    public void setShipFromCity(String shipFromCity) {
        this.shipFromCity = shipFromCity;
    }

    public String getShipFromState() {
        return shipFromState;
    }

    public void setShipFromState(String shipFromState) {
        this.shipFromState = shipFromState;
    }

    public String getShipFromCountry() {
        return shipFromCountry;
    }

    public void setShipFromCountry(String shipFromCountry) {
        this.shipFromCountry = shipFromCountry;
    }

    public String getShipFromPostalCode() {
        return shipFromPostalCode;
    }

    public void setShipFromPostalCode(String shipFromPostalCode) {
        this.shipFromPostalCode = shipFromPostalCode;
    }

    public String getShipFromPhone() {
        return shipFromPhone;
    }

    public void setShipFromPhone(String shipFromPhone) {
        this.shipFromPhone = shipFromPhone;
    }

    public String getShipFromMobile() {
        return shipFromMobile;
    }

    public void setShipFromMobile(String shipFromMobile) {
        this.shipFromMobile = shipFromMobile;
    }

    public String getShipFromFax() {
        return shipFromFax;
    }

    public void setShipFromFax(String shipFromFax) {
        this.shipFromFax = shipFromFax;
    }

    public String getShipFromEmail() {
        return shipFromEmail;
    }

    public void setShipFromEmail(String shipFromEmail) {
        this.shipFromEmail = shipFromEmail;
    }

    public String getCodAmount() {
        return codAmount;
    }

    public void setCodAmount(String codAmount) {
        this.codAmount = codAmount;
    }

    public String getTax() {
        return tax;
    }

    public void setTax(String tax) {
        this.tax = tax;
    }

    public String getTaxPaid() {
        return taxPaid;
    }

    public void setTaxPaid(String taxPaid) {
        this.taxPaid = taxPaid;
    }

    public String getShipToStateName() {
        return shipToStateName;
    }

    public void setShipToStateName(String shipToStateName) {
        this.shipToStateName = shipToStateName;
    }

    public String getShipToCityName() {
        return shipToCityName;
    }

    public void setShipToCityName(String shipToCityName) {
        this.shipToCityName = shipToCityName;
    }

    public String getShipToDistrictName() {
        return shipToDistrictName;
    }

    public void setShipToDistrictName(String shipToDistrictName) {
        this.shipToDistrictName = shipToDistrictName;
    }
}